#!/bin/bash -e
# Build script for 'kbd' package
# Copyright (C) 2021, 2022 Sergey Gaberer <nordic.dev@pm.me>

NAME="kbd"
VERSION="2.5.1"

cd /usr/src
wget https://www.linuxfromscratch.org/patches/lfs/development/kbd-2.5.1-backspace-1.patch

cd /usr/src/"$NAME-$VERSION"

patch -Np1 -i ../kbd-2.5.1-backspace-1.patch

# Remove the redundant resizecons program
sed -i '/RESIZECONS_PROGS=/s/yes/no/' configure
sed -i 's/resizecons.8 //' docs/man/man8/Makefile.in

./configure --prefix=/usr --disable-vlock

make
make install

# Install the documentation
mkdir -pv           /usr/share/doc/kbd-$VERSION
cp -R -v docs/doc/* /usr/share/doc/kbd-$VERSION